%global py3_prefix python%{python3_pkgversion}

%global module tscli
%global name transtats-cli
%global name_with_underscore transtats_cli
%global sum Transtats command line interface to query transtats server
%global project transtats

Name:           %{name}
Version:        0.4.0
Release:        2%{?dist}
Summary:        %{sum}
License:        ASL 2.0
URL:            https://github.com/%{project}/%{name}
Source0:        https://github.com/%{project}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
Transtats command line interface to query transtats server.

%package -n python2-%{name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{name}}

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-mock
BuildRequires: python-click
BuildRequires: python-requests
BuildRequires: python-six
BuildRequires: python-tabulate

Requires: python-click
Requires: python-requests
Requires: python-six
Requires: python-tabulate

%description -n python2-%{name}
Transtats command line interface to query transtats server.

%package -n %{py3_prefix}-%{name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{name}}

BuildRequires: %{py3_prefix}-devel
BuildRequires: %{py3_prefix}-setuptools
BuildRequires: %{py3_prefix}-click
BuildRequires: %{py3_prefix}-requests
BuildRequires: %{py3_prefix}-mock
BuildRequires: %{py3_prefix}-six
BuildRequires: %{py3_prefix}-tabulate

Requires: %{py3_prefix}-click
Requires: %{py3_prefix}-requests
Requires: %{py3_prefix}-six
Requires: %{py3_prefix}-tabulate

%description -n %{py3_prefix}-%{name}
Transtats command line interface to query transtats server.


%prep
%autosetup -n %{name}-%{version}
rm -rf *.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
rm -fr %{buildroot}%{python2_sitelib}/tests
%py3_install
rm -fr %{buildroot}%{python3_sitelib}/tests


%check
%{__python2} setup.py test
##%{__python3} setup.py test

%files -n python2-%{name}
%doc README.md transtats.conf
%license LICENSE
%{_bindir}/%{project}
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_mandir}/man1/transtats.1.gz
%{_datadir}/bash-completion/completions/transtats.bash

%files -n %{py3_prefix}-%{name}
%doc README.md transtats.conf
%license LICENSE
%{_bindir}/%{project}
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_mandir}/man1/transtats.1.gz
%{_datadir}/bash-completion/completions/transtats.bash

%changelog
* Thu Jun 11 2020 Parag Nemade <pnemade AT redhat DOT com> - 0.4.0-2
- Enable python3 package in epel7
- Disable python3 tests as they are failing

* Tue Jun 09 2020 Parag Nemade <pnemade AT redhat DOT com> - 0.4.0-1
- Update to 0.4.0 version

* Sat Aug 04 2018 Parag Nemade <pnemade AT redhat DOT com> - 0.2.0-1
- Update to 0.2.0 version

* Wed Feb 28 2018 Sundeep Anand <suanand AT redhat DOT com> - 0.1.2-1
- Update transtats-cli to version 0.1.2, update 

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Jan Beran <jberan@redhat.com> - 0.1.1-4
- Fix of python3-transtats-cli requires both Python 2 and Python 3 (rhbz#1531568)

* Wed Nov 15 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.1-3
- Update transtats-cli to version 0.1.1, update endpoints

* Wed Oct 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.0-4
- Fix Python 3 dependency from python2-transtats-cli
Resolves: rhbz#1495860

* Wed Sep 13 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-3
- Add man page to transtats-cli

* Tue Sep 12 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-2
- Update Spec file for py2 and py3

* Thu Sep 07 2017 Sundeep Anand <suanand AT redhat DOT com> - 0.1.0-1
- Initial RPM Packaging
